Subject: [TR] Finally, my baby's home.

From: David Ljung Madison <[email-masked]>
Date: Fri, 2 Oct 2015 15:59:16 -0700

> That is strange.  Greg is usually quick with the mechanical work.

We were travelling quite a bit, so I think he put it on the back
burner, and we had to get it moved back to the front burner, so
to speak - I'd bet your squeaky wheel technique probably helps
quite a bit.  :)

> All mechanical work I've had done at Greg's  was all first rate.

I'll believe that, he's quite the perfectionist, and the car is
running first rate right now.

** [email-masked] **

Archive: http://www.team.net/archive